Main Page Groups Namespaces

# sigc::is_base_and_derived< T_base, T_derived > Struct Template Reference

From Esa Pulkkin: Compile-time determination of base-class relationship in C++ (adapted to match the syntax of boost's type_traits library). More...

List of all members.

## Public Member Functions
void | avoid_gcc3_warning_ ()
## Static Public Attributes
static const bool | value
## Classes
struct | big

## Detailed Description

### template <class T_base, class T_derived>
struct sigc::is_base_and_derived< T_base, T_derived >

From Esa Pulkkin: Compile-time determination of base-class relationship in C++ (adapted to match the syntax of boost's type_traits library).

## Member Function Documentation

template <class T_base, class T_derived>
void sigc::is_base_and_derived<T_base, T_derived>::avoid_gcc3_warning_ | ( |  | ) |

## Member Data Documentation

template <class T_base, class T_derived>
const bool sigc::is_base_and_derived<T_base, T_derived>::value`[static]`

| Initial value:
        sizeof(is_base_class_(reinterpret_cast<typename type_trait<T_derived>::pointer>(0))) ==
        sizeof(char)

The documentation for this struct was generated from the following file:

- type_traits.h